# Uses of Class
it.tdlight.jni.TdApi.MessageForwardOrigin

## Uses of TdApi.MessageForwardOrigin in it.tdlight.jni

Subclasses of TdApi.MessageForwardOrigin in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.MessageForwardOriginChannel`
The message was originally a post in a channel.
`static final class`
`TdApi.MessageForwardOriginChat`
The message was originally sent by an anonymous chat administrator on behalf of the chat.
`static final class`
`TdApi.MessageForwardOriginHiddenUser`
The message was originally sent by a user, which is hidden by their privacy settings.
`static final class`
`TdApi.MessageForwardOriginMessageImport`
The message was imported from an exported message history.
`static final class`
`TdApi.MessageForwardOriginUser`
The message was originally sent by a known user.
Fields in it.tdlight.jni declared as TdApi.MessageForwardOrigin
Modifier and Type
Field
Description
`TdApi.MessageForwardOrigin`
TdApi.MessageForwardInfo.`origin`
Origin of a forwarded message.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageForwardOrigin
Modifier
Constructor
Description
``
`MessageForwardInfo(TdApi.MessageForwardOrigin origin, int date, String publicServiceAnnouncementType, long fromChatId, long fromMessageId)`
Contains information about a forwarded message.